summaryrefslogtreecommitdiffstats
path: root/testsuite/build_farm
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/build_farm')
-rwxr-xr-xtestsuite/build_farm/backtrace15
-rw-r--r--testsuite/build_farm/basicsmb-domainsec-nt4.test28
-rw-r--r--testsuite/build_farm/basicsmb-domainsec.test20
-rw-r--r--testsuite/build_farm/basicsmb-hostsdeny.test18
-rw-r--r--testsuite/build_farm/basicsmb-hostsequiv.test26
-rw-r--r--testsuite/build_farm/basicsmb-invalidusers.test10
-rw-r--r--testsuite/build_farm/basicsmb-local-pass-change.test10
-rw-r--r--testsuite/build_farm/basicsmb-preexec.test28
-rw-r--r--testsuite/build_farm/basicsmb-remote-pass-change.test10
-rw-r--r--testsuite/build_farm/basicsmb-shareguest.test3
-rw-r--r--testsuite/build_farm/basicsmb-sharelist.test5
-rw-r--r--testsuite/build_farm/basicsmb.fns174
-rwxr-xr-xtestsuite/build_farm/basicsmb.smb.conf.domain2
-rwxr-xr-x[-rw-r--r--]testsuite/build_farm/basicsmb.smb.conf.server (renamed from testsuite/build_farm/template/basicsmb.smb.conf.server)2
-rwxr-xr-x[-rw-r--r--]testsuite/build_farm/basicsmb.smb.conf.share (renamed from testsuite/build_farm/template/basicsmb.smb.conf.share)0
-rwxr-xr-x[-rw-r--r--]testsuite/build_farm/basicsmb.smb.conf.template (renamed from testsuite/build_farm/template/basicsmb.smb.conf)10
-rwxr-xr-x[-rw-r--r--]testsuite/build_farm/basicsmb.smb.conf.user (renamed from testsuite/build_farm/template/basicsmb.smb.conf.user)0
-rw-r--r--testsuite/build_farm/runlist19
-rw-r--r--testsuite/build_farm/template/basicsmb.smb.conf.domain2
-rw-r--r--testsuite/build_farm/template/basicsmb.smb.conf.hostsdeny1
-rw-r--r--testsuite/build_farm/template/basicsmb.smb.conf.hostsequiv3
-rw-r--r--testsuite/build_farm/template/basicsmb.smb.conf.invalidusers1
-rw-r--r--testsuite/build_farm/template/basicsmb.smb.conf.preexec1
-rw-r--r--testsuite/build_farm/template/basicsmb.smb.conf.preexec_cl_fl2
-rw-r--r--testsuite/build_farm/template/basicsmb.smb.conf.preexec_close2
-rw-r--r--testsuite/build_farm/template/basicsmb.smb.conf.validusers1
-rw-r--r--testsuite/build_farm/template/preexec3
-rw-r--r--testsuite/build_farm/torture-DIR1.test2
-rw-r--r--testsuite/build_farm/torture-FDPASS.test2
-rw-r--r--testsuite/build_farm/torture-FDSESS.test2
-rw-r--r--testsuite/build_farm/torture-LOCK6.test2
-rw-r--r--testsuite/build_farm/torture-LOCK7.test2
-rw-r--r--testsuite/build_farm/torture-MANGLE.test2
-rw-r--r--testsuite/build_farm/torture-PROPERTIES.test2
-rw-r--r--testsuite/build_farm/torture-RENAME.test2
-rw-r--r--testsuite/build_farm/torture-RW2.test2
-rw-r--r--testsuite/build_farm/torture-TCON1.test2
-rw-r--r--testsuite/build_farm/torture-TCON2.test2
-rw-r--r--testsuite/build_farm/torture-TCONDEV.test2
-rw-r--r--testsuite/build_farm/torture-XCOPY.test2
-rw-r--r--testsuite/build_farm/torture_setup.fns2
41 files changed, 29 insertions, 395 deletions
diff --git a/testsuite/build_farm/backtrace b/testsuite/build_farm/backtrace
deleted file mode 100755
index efaa9f2dcde..00000000000
--- a/testsuite/build_farm/backtrace
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/sh
-# Modified version of tridge's backtrace script.
-# we want everything on stderr, so the program is not disturbed
-exec 1>&2
-
-PID=$1
-TMPFILE=$prefix/backtrace.$$
-cat << EOF > $TMPFILE
-set height 0
-up 8
-bt full
-quit
-EOF
-gdb -x $TMPFILE $prefix/sbin/smbd $PID
-/bin/rm -f $TMPFILE
diff --git a/testsuite/build_farm/basicsmb-domainsec-nt4.test b/testsuite/build_farm/basicsmb-domainsec-nt4.test
deleted file mode 100644
index 4e68acabec5..00000000000
--- a/testsuite/build_farm/basicsmb-domainsec-nt4.test
+++ /dev/null
@@ -1,28 +0,0 @@
-. basicsmb.fns
-
-test_joindomain_nt4() {
-
- echo $prefix/bin/smbpasswd -L -a -m buildfarm$
- $prefix/bin/smbpasswd -L -a -m buildfarm$
-
- echo $prefix/bin/net rpc oldjoin -S localhost
- $prefix/bin/net rpc oldjoin -S localhost
- status=$?
- if [ $status = 0 ]; then
- echo "'net rpc oldjoin' correctly joined the domain"
- else
- echo "'net rpc oldjoin' failed to join the domain! (status $status)"
- return 1
- fi
- return 0
-}
-
-password=samba
-security=DOMAIN
-(test_smb_conf_setup && test_smbpasswd $password ) || exit 1
-
-test_joindomain_nt4 $password || exit 1
-
-test_listfilesauth $security || exit 1
-test_listfilesnpw $security || exit 1
-
diff --git a/testsuite/build_farm/basicsmb-domainsec.test b/testsuite/build_farm/basicsmb-domainsec.test
index eb0a5c81aa1..0674e75bb82 100644
--- a/testsuite/build_farm/basicsmb-domainsec.test
+++ b/testsuite/build_farm/basicsmb-domainsec.test
@@ -1,27 +1,9 @@
-
. basicsmb.fns
-test_joindomain() {
- test_join_domain_password="$1"
-
- echo "$prefix/bin/net rpc join -S localhost -U $whoami%$test_join_domain_password"
- $prefix/bin/net rpc join -S localhost -U $whoami%$test_join_domain_password
- status=$?
- if [ $status = 0 ]; then
- echo "'net rpc join' correctly joined the domain"
- else
- echo "'net rpc join' failed to join the domain! (status $status)"
- return 1
- fi
- return 0
-}
-
password=samba
+security=DOMAIN
(test_smb_conf_setup && test_smbpasswd $password ) || exit 1
-test_joindomain $password || exit 1
-
-security=DOMAIN
test_listfilesauth $security || exit 1
test_listfilesnpw $security || exit 1
diff --git a/testsuite/build_farm/basicsmb-hostsdeny.test b/testsuite/build_farm/basicsmb-hostsdeny.test
deleted file mode 100644
index c7f6bec62f7..00000000000
--- a/testsuite/build_farm/basicsmb-hostsdeny.test
+++ /dev/null
@@ -1,18 +0,0 @@
-. basicsmb.fns
-
-password="samba"
-security="hostsdeny"
-(test_smb_conf_setup && test_smbpasswd $password) || exit 1
-
-(test_listfilesauth_should_deny $security) || exit 1
-
-
-
-
-
-
-
-
-
-
-
diff --git a/testsuite/build_farm/basicsmb-hostsequiv.test b/testsuite/build_farm/basicsmb-hostsequiv.test
deleted file mode 100644
index d424743d116..00000000000
--- a/testsuite/build_farm/basicsmb-hostsequiv.test
+++ /dev/null
@@ -1,26 +0,0 @@
-if [ $whoami = "root" ]; then
- exit 0;
-fi
-
-. basicsmb.fns
-
-test_listfilesrootnpw() {
- remote_name="$1"
- echo $prefix/bin/smbclient //$remote_name/samba -n buildclient -Uroot% -c 'ls'
- $prefix/bin/smbclient //$remote_name/samba -n buildclient -Uroot% -c 'ls'
- status=$?
- if [ $status = 0 ]; then
- echo "smbd listed files AS ROOT with NO PASSWORD (hosts equiv test)!"
- return 1
- else
- echo "listing files with smbd failed with status $status (correct)"
- fi
- return 0
-}
-
-password="not-a-valid-password"
-security="hostsequiv"
-(test_smb_conf_setup ) || exit 1
-
-(test_listfilesauth $security) || exit 1
-(test_listfilesrootnpw $security) || exit 1
diff --git a/testsuite/build_farm/basicsmb-invalidusers.test b/testsuite/build_farm/basicsmb-invalidusers.test
deleted file mode 100644
index 7d67cc2fc71..00000000000
--- a/testsuite/build_farm/basicsmb-invalidusers.test
+++ /dev/null
@@ -1,10 +0,0 @@
-. basicsmb.fns
-
-password="samba"
-security="invalidusers"
-(test_smb_conf_setup && test_smbpasswd $password) || exit 1
-
-(test_listfilesauth_should_deny $security) || exit 1
-
-security="validusers"
-(test_listfilesauth $security) || exit 1
diff --git a/testsuite/build_farm/basicsmb-local-pass-change.test b/testsuite/build_farm/basicsmb-local-pass-change.test
deleted file mode 100644
index 432376c6662..00000000000
--- a/testsuite/build_farm/basicsmb-local-pass-change.test
+++ /dev/null
@@ -1,10 +0,0 @@
-. basicsmb.fns
-
-passwordold=samba
-password=samba2
-security=USER
-(test_smb_conf_setup && test_smbpasswd $passwordold && test_smbpasswd_local $passwordold $password) || exit 1
-
-test_listfilesauth $security || exit 1
-test_listfilesnpw $security || exit 1
-
diff --git a/testsuite/build_farm/basicsmb-preexec.test b/testsuite/build_farm/basicsmb-preexec.test
deleted file mode 100644
index fc072e5fdb6..00000000000
--- a/testsuite/build_farm/basicsmb-preexec.test
+++ /dev/null
@@ -1,28 +0,0 @@
-. basicsmb.fns
-
-password=samba
-(test_smb_conf_setup && test_smbpasswd $password ) || exit 1
-
-rm -f $prefix/testdir/preexec_touch
-
-mode=PREEXEC
-(test_listfilesauth $mode) || exit 1
-
-if [ -f $prefix/testdir/preexec_touch ]; then
- rm -f $prefix/testdir/preexec_touch
-else
- exit 1;
-fi
-
-mode=PREEXEC_close
-(test_listfilesauth $mode) || exit 1
-
-if [ -f $prefix/testdir/preexec_touch ]; then
- rm -f $prefix/testdir/preexec_touch
-else
- exit 1;
-fi
-
-mode=PREEXEC_cl_fl
-(test_listfilesauth_should_deny $mode) || exit 1
-
diff --git a/testsuite/build_farm/basicsmb-remote-pass-change.test b/testsuite/build_farm/basicsmb-remote-pass-change.test
deleted file mode 100644
index adfe0dc3ebc..00000000000
--- a/testsuite/build_farm/basicsmb-remote-pass-change.test
+++ /dev/null
@@ -1,10 +0,0 @@
-. basicsmb.fns
-
-passwordold=samba
-password=samba2
-security=USER
-(test_smb_conf_setup && test_smbpasswd $passwordold && test_smbpasswd_remote $passwordold $password) || exit 1
-
-test_listfilesauth $security || exit 1
-test_listfilesnpw $security || exit 1
-
diff --git a/testsuite/build_farm/basicsmb-shareguest.test b/testsuite/build_farm/basicsmb-shareguest.test
index 4ba445a17e3..7b0175a6639 100644
--- a/testsuite/build_farm/basicsmb-shareguest.test
+++ b/testsuite/build_farm/basicsmb-shareguest.test
@@ -14,7 +14,8 @@ test_listfilesguestshare() {
return 0
}
+password=samba
security=SHARE
-( test_smb_conf_setup ) || exit 1
+( test_smb_conf_setup && ( test_smbpasswd $password ) ) || exit 1
( test_listfilesguestshare $security ) || exit 1 \ No newline at end of file
diff --git a/testsuite/build_farm/basicsmb-sharelist.test b/testsuite/build_farm/basicsmb-sharelist.test
index 188e985658d..87c3e475525 100644
--- a/testsuite/build_farm/basicsmb-sharelist.test
+++ b/testsuite/build_farm/basicsmb-sharelist.test
@@ -12,10 +12,7 @@ test_sharelist() {
return 0
}
-# Need guest account
-password=samba
-security=USER
-(test_smb_conf_setup && test_smbpasswd $password ) || exit 1
+(test_smb_conf_setup) || exit 1
test_sharelist || exit 1
diff --git a/testsuite/build_farm/basicsmb.fns b/testsuite/build_farm/basicsmb.fns
index 3a9080f473b..d9ac08639b5 100644
--- a/testsuite/build_farm/basicsmb.fns
+++ b/testsuite/build_farm/basicsmb.fns
@@ -1,135 +1,34 @@
-#! /bin/sh
-
-# Common functions for Samba build scripts.
-
-# Copyright (C) 2001 by Martin Pool <mbp@samba.org> and others
-
-# The following variables are passed in by the calling script. They
-# originate in either the buildfarm scripts or the configured
-# Makefile.
-
-# PREFIX = Installed prefix of samba test installation. Used to
-# locate binaries, configuration files, etc.
-
-# XXX: It's pretty bad to clobber the installed configuration file and
-# other data in $prefix, because somebody might unwittingly run this
-# with prefix=/usr.
-
-# Really what we want is a consistent way to pass the location of the
-# configuration and all other files into *all* Samba programs
-# (smbclient, smd, ...) and be able to set them to a temporary
-# directory when testing. Some of them take a -c parameter, but tpot
-# says it's not done consistently.
-
-template_setup() {
- cat template/$1 | \
+test_smb_conf_setup() {
+ cat basicsmb.smb.conf.template | \
sed "s|PREFIX|$prefix|g" | \
sed "s|BUILD_FARM|$test_root|g" | \
sed "s|WHOAMI|$whoami|g" | \
sed "s|LOGLEVEL|$loglevel|g" \
- > $prefix/$2
- echo "template_setup: Created $prefix/$2"
-}
-
-template_smb_conf_setup() {
- template_setup "basicsmb.smb.conf$1" "lib/smb.conf$1"
-}
-
-test_smb_conf_setup() {
- echo "test_smb_conf_setup: Configuring: "
- echo " PREFIX=$prefix"
- echo " BUILD_FARM=$test_root"
- echo " WHOAMI=$whoami"
- echo " LOGLEVEL=$loglevel"
- echo " TREE=$tree"
-
- case "$prefix" in
- /usr*|/|//)
- echo "** I don't want to clobber your installation in "
- echo "** $prefix"
- echo "** by running tests there. Please reconfigure this source tree to"
- echo "** use a different prefix."
- exit 1
- esac
-
-# Please keep these names under 15 characters,
-# so that the final name is 31 characters or fewer.
-
- template_smb_conf_setup
- template_smb_conf_setup .hostsequiv
- template_smb_conf_setup .validusers
- template_smb_conf_setup .invalidusers
- template_smb_conf_setup .preexec
- template_smb_conf_setup .preexec_close
- template_smb_conf_setup .preexec_cl_fl
-
- template_smb_conf_setup .share
- template_smb_conf_setup .user
- template_smb_conf_setup .server
- template_smb_conf_setup .domain
-
- template_setup preexec lib/preexec
+ > $prefix/lib/smb.conf
+ echo "127.0.0.1 localhost">$prefix/lib/lmhosts
+ echo "127.0.0.1 SHARE">>$prefix/lib/lmhosts
+ echo "127.0.0.1 USER">>$prefix/lib/lmhosts
+ echo "127.0.0.1 SERVER">>$prefix/lib/lmhosts
+ echo "127.0.0.1 DOMAIN">>$prefix/lib/lmhosts
+ cp basicsmb.smb.conf.share $prefix/lib/smb.conf.share
+ cp basicsmb.smb.conf.user $prefix/lib/smb.conf.user
+ cp basicsmb.smb.conf.server $prefix/lib/smb.conf.server
+ cp basicsmb.smb.conf.domain $prefix/lib/smb.conf.domain
touch $prefix/lib/smb.conf.
touch $prefix/lib/smb.conf.localhost
-
- echo "127.0.0.1 localhost">$prefix/lib/lmhosts
- echo "127.0.0.2 BUILDFARM">>$prefix/lib/lmhosts
- echo "127.0.0.3 SHARE">>$prefix/lib/lmhosts
- echo "127.0.0.4 USER">>$prefix/lib/lmhosts
- echo "127.0.0.5 SERVER">>$prefix/lib/lmhosts
- echo "127.0.0.6 DOMAIN">>$prefix/lib/lmhosts
- echo "127.0.0.7 HOSTSEQUIV">>$prefix/lib/lmhosts
- echo "127.0.0.7 VALIDUSERS">>$prefix/lib/lmhosts
- echo "127.0.0.7 INVALIDUSERS">>$prefix/lib/lmhosts
- echo "127.0.0.7 PREEXEC">>$prefix/lib/lmhosts
- echo "127.0.0.7 PREEXEC_CLOSE">>$prefix/lib/lmhosts
- echo "127.0.0.7 PREEXEC_CL_FL">>$prefix/lib/lmhosts
-
-
- echo "127.0.0.1" > $prefix/lib/hosts.equiv
-
}
test_smbpasswd() {
test_smbpasswd_password="$1"
rm -f $prefix/private/smbpasswd
- echo "( echo $test_smbpasswd_password ; echo $test_smbpasswd_password; ) | $prefix/bin/smbpasswd -L -D $loglevel -s -a $whoami"
- ( echo $test_smbpasswd_password; echo $test_smbpasswd_password; ) | $prefix/bin/smbpasswd -L -D $loglevel -s -a $whoami
+ echo "( echo $test_smbpasswd_password ; echo $test_smbpasswd_password; ) | $prefix/bin/smbpasswd -L -s -a $whoami"
+ ( echo $password ; echo $password; ) | $prefix/bin/smbpasswd -L -s -a $whoami
status=$?
if [ $status = 0 ]; then
- echo "smbpasswd correctly set initial password ($test_smbpasswd_password)"
+ echo "smbpasswd correctly set inital password ($test_smbpasswd_password)"
else
- echo "smbpasswd failed to set initial password ($test_smbpasswd_password)! (status $status)"
- return 1
- fi
- return 0
-}
-
-test_smbpasswd_remote() {
- test_smbpasswd_rem_password="$1"
- test_smbpasswd_rem_newpassword="$2"
- echo "( echo $test_smbpasswd_rem_password; echo $test_smbpasswd_rem_newpassword; echo $test_smbpasswd_rem_newpassword; ) | $prefix/bin/smbpasswd -r localhost -s -U $whoami"
- ( echo $test_smbpasswd_rem_password; echo $test_smbpasswd_rem_newpassword; echo $test_smbpasswd_rem_newpassword; ) | $prefix/bin/smbpasswd -r localhost -s -U $whoami
- status=$?
- if [ $status = 0 ]; then
- echo "smbpasswd correctly remotely changed password ($test_smbpasswd_rem_password -> $test_smbpasswd_rem_newpassword)"
- else
- echo "smbpasswd failed to remotely changed password ($test_smbpasswd_rem_password -> $test_smbpasswd_rem_newpassword)! (status $status)"
- return 1
- fi
- return 0
-}
-
-test_smbpasswd_local() {
- test_smbpasswd_newpassword="$2"
- echo "( echo $test_smbpasswd_newpassword ; echo $test_smbpasswd_newpassword; ) | $prefix/bin/smbpasswd -L -s $whoami"
- ( echo $test_smbpasswd_newpassword ; echo $test_smbpasswd_newpassword; ) | $prefix/bin/smbpasswd -L -s $whoami
- status=$?
- if [ $status = 0 ]; then
- echo "smbpasswd correctly locally changed password ($test_smbpasswd_password -> $test_smbpasswd_newpassword)"
- else
- echo "smbpasswd failed to locallly changed password ($test_smbpasswd_password -> $test_smbpasswd_newpassword)! (status $status)"
+ echo "smbpasswd failed to set inital password ($test_smbpasswd_password)! (status $status)"
return 1
fi
return 0
@@ -137,7 +36,7 @@ test_smbpasswd_local() {
test_listfilesauth() {
remote_name="$1"
- echo $prefix/bin/smbclient //$remote_name/samba -n buildclient -U$whoami%$password -c 'ls'
+ echo $prefix/bin/smbclient//$remote_name/samba -n buildclient -U$whoami%$password -c 'ls'
$prefix/bin/smbclient //$remote_name/samba -n buildclient -U$whoami%$password -c 'ls'
status=$?
if [ $status = 0 ]; then
@@ -163,42 +62,3 @@ test_listfilesnpw() {
return 0
}
-test_listfilesauth_should_deny() {
- remote_name="$1"
- echo $prefix/bin/smbclient //$remote_name/samba -n buildclient -U$whoami%$password -c 'ls'
- $prefix/bin/smbclient //$remote_name/samba -n buildclient -U$whoami%$password -c 'ls'
- status=$?
- if [ $status = 0 ]; then
- echo "smbd LISTED FILES despite smb.conf entires to the contary!"
- return 1
- else
- echo "listing files with smbd failed with status $status (correct)"
- fi
- return 0
-}
-
-echo "LIBSMB_PROG=$LIBSMB_PROG" >&2
-
-
-
-# Give sensible defaults to some variables.
-
-# "What's my age again?"
-
-if [ ! $USER = "" ]; then
- whoami=$USER
-else
- if [ ! $LOGNAME = "" ]; then
- whoami=$LOGNAME
- else
- whoami=build
- fi
-fi
-
-
-
-if test -z "$loglevel"
-then
- loglevel=1
-fi
-
diff --git a/testsuite/build_farm/basicsmb.smb.conf.domain b/testsuite/build_farm/basicsmb.smb.conf.domain
new file mode 100755
index 00000000000..ddb515362c1
--- /dev/null
+++ b/testsuite/build_farm/basicsmb.smb.conf.domain
@@ -0,0 +1,2 @@
+security=domain
+password server=127.0.0.1
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.server b/testsuite/build_farm/basicsmb.smb.conf.server
index 016f84cd353..976d662bac4 100644..100755
--- a/testsuite/build_farm/template/basicsmb.smb.conf.server
+++ b/testsuite/build_farm/basicsmb.smb.conf.server
@@ -1,3 +1,3 @@
security=server
password server=user
-smb passwd file=NON_EXISTANT_FILE
+smb password file=NON_EXISTANT_FILE
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.share b/testsuite/build_farm/basicsmb.smb.conf.share
index 8e69cc199a5..8e69cc199a5 100644..100755
--- a/testsuite/build_farm/template/basicsmb.smb.conf.share
+++ b/testsuite/build_farm/basicsmb.smb.conf.share
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf b/testsuite/build_farm/basicsmb.smb.conf.template
index 234419b6885..6785866fc10 100644..100755
--- a/testsuite/build_farm/template/basicsmb.smb.conf
+++ b/testsuite/build_farm/basicsmb.smb.conf.template
@@ -13,16 +13,6 @@
include = PREFIX/lib/smb.conf.%L
- add machine script = useradd %u -d /dev/null -s /bin/false
-
- panic action = /bin/sh BUILD_FARM/samba/testsuite/build_farm/backtrace %d
-
- passdb backend = smbpasswd
-
- idmap uid = 10000-200000
- map hidden = yes
- create mask = 0777
-
[test]
path = PREFIX/testdir
read only = no
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.user b/testsuite/build_farm/basicsmb.smb.conf.user
index 9d294b9c396..9d294b9c396 100644..100755
--- a/testsuite/build_farm/template/basicsmb.smb.conf.user
+++ b/testsuite/build_farm/basicsmb.smb.conf.user
diff --git a/testsuite/build_farm/runlist b/testsuite/build_farm/runlist
index 594c172b6ff..aac41215aa2 100644
--- a/testsuite/build_farm/runlist
+++ b/testsuite/build_farm/runlist
@@ -1,18 +1,3 @@
-TEST_ALL="basicsmb-sharelist basicsmb-local-pass-change \
-basicsmb-sharesec basicsmb-usersec \
-basicsmb-serversec \
-basicsmb-shareguest basicsmb-hostsequiv basicsmb-invalidusers \
-basicsmb-hostsdeny basicsmb-remote-pass-change \
-basicsmb-preexec \
-torture-FDPASS torture-LOCK1 torture-LOCK2 \
-torture-LOCK3 torture-LOCK4 torture-LOCK5 \
-torture-LOCK6 torture-LOCK7 \
-torture-UNLINK torture-BROWSE torture-ATTR \
-torture-TRANS2 torture-TORTURE torture-OPLOCK1 \
-torture-OPLOCK3 torture-DIR torture-DIR1 torture-DENY1 \
-torture-DENY2 torture-TCON torture-TCON2 torture-TCONDEV \
-torture-RW1 torture-RW2 torture-OPEN torture-XCOPY \
-torture-RENAME torture-DELETE torture-PROPERTIES \
-torture-MANGLE torture-FDSESS"
+TEST_ALL="basicsmb-sharelist basicsmb-sharesec basicsmb-usersec basicsmb-shareguest torture-FDPASS torture-LOCK1 torture-LOCK2 torture-LOCK3 torture-LOCK4 torture-LOCK5 torture-UNLINK torture-BROWSE torture-ATTR torture-TRANS2 torture-TORTURE torture-OPLOCK1 torture-OPLOCK3 torture-DIR torture-DENY1 torture-DENY2 torture-TCON torture-RW1 torture-RW2 torture-OPEN torture-DELETE"
-#basicsmb-domainsec basicsmb-domainsec-nt4 \ No newline at end of file
+#basicsmb-serversec
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.domain b/testsuite/build_farm/template/basicsmb.smb.conf.domain
deleted file mode 100644
index 8b9728838e1..00000000000
--- a/testsuite/build_farm/template/basicsmb.smb.conf.domain
+++ /dev/null
@@ -1,2 +0,0 @@
-security=domain
-password server=user
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.hostsdeny b/testsuite/build_farm/template/basicsmb.smb.conf.hostsdeny
deleted file mode 100644
index 3fce0bdbf4e..00000000000
--- a/testsuite/build_farm/template/basicsmb.smb.conf.hostsdeny
+++ /dev/null
@@ -1 +0,0 @@
- hosts deny = 127. \ No newline at end of file
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.hostsequiv b/testsuite/build_farm/template/basicsmb.smb.conf.hostsequiv
deleted file mode 100644
index 750af74f59c..00000000000
--- a/testsuite/build_farm/template/basicsmb.smb.conf.hostsequiv
+++ /dev/null
@@ -1,3 +0,0 @@
- hostname lookups = no
- hosts equiv=PREFIX/lib/hosts.equiv
- auth methods = hostsequiv
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.invalidusers b/testsuite/build_farm/template/basicsmb.smb.conf.invalidusers
deleted file mode 100644
index a96a316db9f..00000000000
--- a/testsuite/build_farm/template/basicsmb.smb.conf.invalidusers
+++ /dev/null
@@ -1 +0,0 @@
- invalid users = WHOAMI
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.preexec b/testsuite/build_farm/template/basicsmb.smb.conf.preexec
deleted file mode 100644
index cc34872c5df..00000000000
--- a/testsuite/build_farm/template/basicsmb.smb.conf.preexec
+++ /dev/null
@@ -1 +0,0 @@
-preexec = /bin/sh PREFIX/lib/preexec
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.preexec_cl_fl b/testsuite/build_farm/template/basicsmb.smb.conf.preexec_cl_fl
deleted file mode 100644
index 4a6fae57bc0..00000000000
--- a/testsuite/build_farm/template/basicsmb.smb.conf.preexec_cl_fl
+++ /dev/null
@@ -1,2 +0,0 @@
-preexec close = yes
-preexec = PREFIX/lib/preexec_does_not_exist
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.preexec_close b/testsuite/build_farm/template/basicsmb.smb.conf.preexec_close
deleted file mode 100644
index 3aac6998bfc..00000000000
--- a/testsuite/build_farm/template/basicsmb.smb.conf.preexec_close
+++ /dev/null
@@ -1,2 +0,0 @@
-preexec close = yes
-preexec = /bin/sh PREFIX/lib/preexec
diff --git a/testsuite/build_farm/template/basicsmb.smb.conf.validusers b/testsuite/build_farm/template/basicsmb.smb.conf.validusers
deleted file mode 100644
index d4a85e0a028..00000000000
--- a/testsuite/build_farm/template/basicsmb.smb.conf.validusers
+++ /dev/null
@@ -1 +0,0 @@
- valid users = WHOAMI
diff --git a/testsuite/build_farm/template/preexec b/testsuite/build_farm/template/preexec
deleted file mode 100644
index 23809aaf893..00000000000
--- a/testsuite/build_farm/template/preexec
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-
-echo "Test worked" > PREFIX/testdir/preexec_touch
diff --git a/testsuite/build_farm/torture-DIR1.test b/testsuite/build_farm/torture-DIR1.test
deleted file mode 100644
index 6cc075e9ba9..00000000000
--- a/testsuite/build_farm/torture-DIR1.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "DIR1"
diff --git a/testsuite/build_farm/torture-FDPASS.test b/testsuite/build_farm/torture-FDPASS.test
index 40ffdb666d7..e8af277d430 100644
--- a/testsuite/build_farm/torture-FDPASS.test
+++ b/testsuite/build_farm/torture-FDPASS.test
@@ -1,2 +1,2 @@
. torture_setup.fns
-test_torture "FDSESS"
+test_torture "FDPASS"
diff --git a/testsuite/build_farm/torture-FDSESS.test b/testsuite/build_farm/torture-FDSESS.test
deleted file mode 100644
index e8af277d430..00000000000
--- a/testsuite/build_farm/torture-FDSESS.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "FDPASS"
diff --git a/testsuite/build_farm/torture-LOCK6.test b/testsuite/build_farm/torture-LOCK6.test
deleted file mode 100644
index 78e139e3103..00000000000
--- a/testsuite/build_farm/torture-LOCK6.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "LOCK6"
diff --git a/testsuite/build_farm/torture-LOCK7.test b/testsuite/build_farm/torture-LOCK7.test
deleted file mode 100644
index fc967fca57d..00000000000
--- a/testsuite/build_farm/torture-LOCK7.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "LOCK7"
diff --git a/testsuite/build_farm/torture-MANGLE.test b/testsuite/build_farm/torture-MANGLE.test
deleted file mode 100644
index 5a3d478a456..00000000000
--- a/testsuite/build_farm/torture-MANGLE.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "MANGLE"
diff --git a/testsuite/build_farm/torture-PROPERTIES.test b/testsuite/build_farm/torture-PROPERTIES.test
deleted file mode 100644
index 91fde27f8af..00000000000
--- a/testsuite/build_farm/torture-PROPERTIES.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "PROPERTIES"
diff --git a/testsuite/build_farm/torture-RENAME.test b/testsuite/build_farm/torture-RENAME.test
deleted file mode 100644
index 58cb8eb466f..00000000000
--- a/testsuite/build_farm/torture-RENAME.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "RENAME"
diff --git a/testsuite/build_farm/torture-RW2.test b/testsuite/build_farm/torture-RW2.test
index dc457decab1..a647d9de2e9 100644
--- a/testsuite/build_farm/torture-RW2.test
+++ b/testsuite/build_farm/torture-RW2.test
@@ -1,2 +1,2 @@
. torture_setup.fns
-test_torture "RW2"
+test_torture "RW22"
diff --git a/testsuite/build_farm/torture-TCON1.test b/testsuite/build_farm/torture-TCON1.test
deleted file mode 100644
index 3c9267640de..00000000000
--- a/testsuite/build_farm/torture-TCON1.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "TCON1"
diff --git a/testsuite/build_farm/torture-TCON2.test b/testsuite/build_farm/torture-TCON2.test
deleted file mode 100644
index 1f30a975daa..00000000000
--- a/testsuite/build_farm/torture-TCON2.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "TCON2"
diff --git a/testsuite/build_farm/torture-TCONDEV.test b/testsuite/build_farm/torture-TCONDEV.test
deleted file mode 100644
index 18bd5345fb7..00000000000
--- a/testsuite/build_farm/torture-TCONDEV.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "TCONDEV"
diff --git a/testsuite/build_farm/torture-XCOPY.test b/testsuite/build_farm/torture-XCOPY.test
deleted file mode 100644
index 94cc7979769..00000000000
--- a/testsuite/build_farm/torture-XCOPY.test
+++ /dev/null
@@ -1,2 +0,0 @@
-. torture_setup.fns
-test_torture "XCOPY"
diff --git a/testsuite/build_farm/torture_setup.fns b/testsuite/build_farm/torture_setup.fns
index a42be94129b..bf5146148ea 100644
--- a/testsuite/build_farm/torture_setup.fns
+++ b/testsuite/build_farm/torture_setup.fns
@@ -12,7 +12,7 @@ test_torture() {
if [ $status = 0 ]; then
echo "smbtorture test $torture_test worked"
else
- echo "smbtorture test $torture_test FAILED (status $status)!"
+ echo "smbtorture test $torture_test FAILED!"
return 1
fi
return 0